SYMTAB2GB(1)

NAME
symtab2gb - Compile JSON symbol tables to a GOTO binary

SYNOPSIS

symtab2gb [-?] [-h] [--help]
    show help

symtab2gb json-symtab-file+ [--out outfile]
    compile symbol tables in JSON format to a single GOTO binary

DESCRIPTION
This utility is to compile a cbmc(1) symbols table (in JSON format) into a GOTO binary. This is to support integration of external language frontends, such as Ada (using GNAT2GOTO: https://github.com/diffblue/gnat2goto) or Rust (using Kani: https://github.com/model-checking/kani).

OPTIONS

--out outfile
    Specify the filename of the resulting binary (default: a.out)

--verbosity #
    verbosity level

ENVIRONMENT
All tools honor the TMPDIR environment variable when generating temporary files and directories.

BUGS
If you encounter a problem please create an issue at https://github.com/diffblue/cbmc/issues

SEE ALSO
cbmc(1)

COPYRIGHT
2019, Diffblue